<!DOCTYPE html>
<html>
    <head>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.3.0/Chart.min.js"></script>
        <style>
            body{
                padding: 0px;
                margin: 0px;
                list-style: none;
                background-color: black;
                height: 100%;
                width: 100%;
                flex-direction: column;
                font-family: Arial, Helvetica, sans-serif;
            }
            a{
                text-decoration: none;
                color: #f1f1f1;
                font-size: 1.5em;
                font-weight: 600;
            }
            body{
                display: flex;
            }
            .pContainer{
                margin-top: 0%;
                align-self: center;
                justify-content: center;
                width: 97vw;
                flex-direction: row;
                align-items: center;                 
            }
            table{
                width: 70%;
                align-self: center;
            }

            table, th, td {
                margin:0 auto;
                border: 2px solid white;
                border-collapse: collapse;
            }
            th, td {
                padding: 10px;
                color: white;
            }
            
            th{
                text-align: left;
            }

            td{
                text-align: center;
            }
            
            tr:hover {
                background-color: #009879;
            }
            img{
               margin-top: -20px;
                width: 100%;
                height: 100%;
            }
            .pContainer section{
                margin-top: 0%;
                display: flex;
                flex-direction: row;     
            }

            .pContainer section div{
                width: 100%;
                border-radius: 2px;
                margin-top: 10%;
                align-items: center;
                align-self: center;
                margin-left: -10%;
            }
            .header > a{
                text-decoration: none;
                font-weight: bold;
                font-size: 3.5em;
                color:#f1f1f1;
                text-align: center;

            }
            .header > a:hover{
                color:#009879;
            }
            .homeImg{
                margin: 0;
                width: 100vw;
                height: 100vh;
                background-color: black;
            }
            header{
                z-index: 2;
                display: flex;
                position: absolute;
                top:0;
                left:1.2%;
                width: 98.5%;
                height: 8vh;
                flex-wrap: wrap;
                justify-content: space-between;
                align-items: center;
                padding: 10px;
                background-color: rgb(0, 0, 0);
                border-bottom: 5px solid #009879;
            }
            .menu{
                display: flex;
            }
            .menu li{
                margin-left: 10px;
            }
            .menu li a{
                display: block;
                padding: 10px;
            }
            .menu li a:hover{
                color: #009879;
            }
            .procurar{
                border: 1px solid #009879;
                background-color: black;
                color: white;
                margin-left: 50%;
                height: 30px;
            }
            canvas{
                color: white;
                align-self: center;
            }   
            input[type=submit]{
                background-color: #009879;
                color:white;
                border: 1px solid #009879;
                height: 30px;
            }
            .back{
                position: absolute;
                top:0;
                left:0;
            }
            .grafico{
                width: 50%;
                background-color: #d5dbda;
                margin:0 auto;
                margin-top: 20px;
                border-radius: 5px;
            }
        </style>
    </head>
    <body>
        <img src="{{ url_for('static', filename='cartolaCapa.jpg') }}">
        <div class="back">
        <div class="pContainer">
            <section style="margin-left: 23%;align-self: center;"> 
                <h1 style="margin-top: 15vh;font-size: 2em;  color: white;" id="jogadorNome"></h1>
                <form action="/tab" style="margin-top: 14vh; margin-left: 10px;">
                    <input type="submit" value="Adicinar Jogador" onclick="add()">
                </form>
            </section>
            
            <table id="t01">
                <tr>
                    <th>Apelido:</th>
                    <td id="jogadorSlug">NA</td>
                </tr>
                <tr>
                    <th>Posição:</th>
                    <td id="jogadorPos">NA</td>
                </tr>
                <tr>
                    <th>Id:</th>
                    <td id="jogadorID">0</td>
                </tr>
                <tr>
                    <th>Time:</th>
                    <td id="jogadorTime">NA</td>
                </tr>
                <tr>
                    <th>Defesas:</th>
                    <td id="jogadorDefesa">NA</td>
                </tr>
                <tr>
                    <th>Gols:</th>
                    <td id="jogadorGols">0</td>
                </tr>
                <tr>
                    <th>Assistencias:</th>
                    <td id="jogadorAssistencia">0</td>
                </tr>
                <tr>
                    <th>Cartões Vermelho:</th>
                    <td id="jogadorCVermelho">0</td>
                </tr>
                <tr>
                    <th>Cartões Amarelo:</th>
                    <td id="jogadorCAmarelo">0</td>
                </tr>
                
              </table>
        </div>
        <div class="pContainer">
             
            <header class="header">
                <a href="/"><img src="../static/img/favicon-dicas-cartola-fc.png" style="width: 60px;"></a>
                <nav>
                    <ul class="menu">
                        <li><a href="https://globoesporte.globo.com/cartola-fc/">Cartola</a></li>
                        <li><a href="https://github.com/henriquepgomide/caRtola">Dados</a></li>
                    </ul>
                </nav>
            </header>
            
            <section>
                <div>
                    <input class ="procurar" type="text" id='rodada' list="historico" name="jogador" placeholder="Pesquisar rodadas">
                    <input type="submit" value="Adicionar rodada" onclick="addRodada()"> 
             
                    <datalist id="historico">
                        <option value="1"></option>
                        <option value="2"></option>
                        <option value="3"></option>
                        <option value="4"></option>
                        <option value="5"></option>
                        <option value="6"></option>
                    </datalist>
                </div>
            </section>
            
            <div class="grafico">
                <div>
                    <canvas id="barChart" ></canvas>
                    
                </div>
                
            </div>
        </div>
    </div>     
        <script src="barchart.js"></script>
    <script>
        
        //Recebendo nome do Jogador como parametro
        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        const jogador = urlParams.get('nome')
        
        /*colours for each bar*/
        var colouarray ='rgb(75, 192, 192)' ;

        /*Let's initialData[] be the initial data set*/
        
        /*Let's updatedDataSet[] be the array to hold the upadted data set with every update call*/
        var rodada;
        var rodadas = [];
        var updatedDataSet;
        var pontos = [];
        var media = [];
        var Jogador;
        var Novojogador;

        function getJogador(){
            fetch(`${window.origin}/jogador/set/${jogador}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .then(response => response.json())
              .then(data => Jogador = data)
              .then(() => {
                document.getElementById('jogadorNome').innerHTML = Jogador.nome
                document.getElementById('jogadorSlug').innerHTML = Jogador.slug
                document.getElementById('jogadorPos').innerHTML = Jogador.posicao_id
                document.getElementById('jogadorID').innerHTML = Jogador.atleta_id
                document.getElementById('jogadorTime').innerHTML = Jogador.clube_id_full_name
                document.getElementById('jogadorDefesa').innerHTML = Jogador.DS
                document.getElementById('jogadorGols').innerHTML = Jogador.G
                document.getElementById('jogadorAssistencia').innerHTML = Jogador.A
                document.getElementById('jogadorCVermelho').innerHTML = Jogador.CV
                document.getElementById('jogadorCAmarelo').innerHTML = Jogador.CA

              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
        }
        getJogador()
        


        function add(){
            fetch(`${window.origin}/myteam/add/${jogador}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
            })
            .catch(function(error) {
                console.log("Fetch error: " + error);
            });
        }  
        


        /*Creating the bar chart*/
        var ctx = document.getElementById("barChart");
        var ctx2 = document.getElementById("barChart2");
        var barChart = new Chart(ctx, {
            type: 'line',
            backgroundColor: "#F5DEB3",
            data: {
                labels: rodadas,
                datasets: [{
                    label: 'Pontuação na rodada',
                    data: pontos,
                    fill:false,
                    borderColor:colouarray,
                    lineTension:0.2,
                }]
            },
            options: {
                responsive:true,
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                            min: -30,
                            max: 30,
                            stepSize: 6,
                        }
                    }]
                }
            }
        });
        var barChart2 = new Chart(ctx2, {
            type: 'line',
            backgroundColor: "#F5DEB3",
            data: {
                labels: rodadas,
                datasets: [{
                    label: 'Média de Pontos',
                    data: pontos,
                    fill:false,
                    borderColor:colouarray,
                    lineTension:0.2,
                }]
            },
            options: {
                responsive:true,
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                            min: -30,
                            max: 30,
                            stepSize: 6,
                        }
                    }]
                }
            }
        });


        /*Function to update the bar chart*/
        function updateBarGraph(chart, labels, label, color, data) {
            chart.data.datasets.pop();
            chart.data.datasets.push({
                label: label,
                data: data,
                borderColor:color
            });
            chart.update();
        }
        
        function addRodada(){
            rodada = document.getElementById('rodada').value;
            rodadas.push(rodada)
            pontos.push(Jogador.pontos_num[rodada])
            media.push(Jogador.media_num[rodada])
            updateValue()
            
        }

        // Updating the bar chart with updated data in 3 consequtive seconds
        function updateValue(){
            console.log(rodada)
            updateBarGraph(barChart, rodada, ['Pontuação na rodada'], colouarray, pontos);
            updateBarGraph(barChart2, rodada, ['Media de Pontos'], colouarray, media);
        };
    </script>
</body>
</html>
